<script setup>
import BreezeAuthenticatedLayout from '@/Layouts/Authenticated.vue'
import {Link, Head, useForm} from '@inertiajs/vue3'

defineProps({
    accounts: {
        type: Array,
        required: true
    }
})

const form = useForm({
    first_name: '',
    last_name: '',
    email: '',
    phone: '',
    position: '',
    account_id: ''
}) // placeholder value

const store = () => {
    form.post(route('contacts.store'), {
        onSuccess: () => form.reset()
    })
}
</script>

<template>
    <Head title="Create Account" />

    <BreezeAuthenticatedLayout>
        <div class="max-w-screen-lg mx-auto my-6 space-y-6">
            <div class="bg-white shadow px-4 py-5 sm:rounded-lg sm:p-6">
                <div class="md:grid md:grid-cols-3 md:gap-6">
                    <div class="md:col-span-1">
                        <h3 class="text-lg font-medium leading-6 text-gray-900">Contact Information</h3>
                        <ul class="mt-6">
                            <li class="text-red-500" v-for="error in form.errors">{{ error }}</li>
                        </ul>
                    </div>
                    <div class="mt-5 md:mt-0 md:col-span-2">
                        <form @submit.prevent="store">
                            <div class="grid grid-cols-6 gap-6">
                                <div class="col-span-6 sm:col-span-3">
                                    <label for="first_name" class="block text-sm font-medium"
                                    :class="{ 'text-gray-700': !form.errors.first_name, 'text-red-700': form.errors.first_name }">First Name</label>
                                    <input
                                        type="text"
                                        id="first_name"
                                        name="first_name"
                                        v-model="form.first_name"
                                        class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm rounded-md"
                                        :class="{ 'bg-red-50 border-red-500 text-red-700': form.errors.first_name, 'border-gray-300': !form.errors.first_name}"
                                    >
                                    <div class="font-sm text-red-500 mt-2" v-if="form.errors.first_name">{{ form.errors.first_name }}</div>
                                </div>

                                <div class="col-span-6 sm:col-span-3">
                                    <label for="last_name" class="block text-sm font-medium"
                                    :class="{ 'text-gray-700': !form.errors.last_name, 'text-red-700': form.errors.last_name }">Last Name</label>
                                    <input
                                        type="text"
                                        id="last_name"
                                        name="last_name"
                                        v-model="form.last_name"
                                        class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm rounded-md"
                                        :class="{ 'bg-red-50 border-red-500 text-red-700': form.errors.last_name, 'border-gray-300': !form.errors.last_name}"
                                    >
                                    <div class="font-sm text-red-500 mt-2" v-if="form.errors.last_name">{{ form.errors.last_name }}</div>
                                </div>

                                <div class="col-span-6 sm:col-span-3">
                                    <label for="email" class="block text-sm font-medium"
                                    :class="{ 'text-gray-700': !form.errors.email, 'text-red-700': form.errors.email }">Email</label>
                                    <input
                                        type="email"
                                        id="email"
                                        name="email"
                                        v-model="form.email"
                                        class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm rounded-md"
                                        :class="{ 'bg-red-50 border-red-500 text-red-700': form.errors.email, 'border-gray-300': !form.errors.email}"
                                    >
                                    <div class="font-sm text-red-500 mt-2" v-if="form.errors.email">{{ form.errors.email }}</div>
                                </div>

                                <div class="col-span-6 sm:col-span-3">
                                    <label for="phone" class="block text-sm font-medium"
                                    :class="{ 'text-gray-700': !form.errors.phone, 'text-red-700': form.errors.phone }">Phone</label>
                                    <input
                                        type="tel"
                                        id="phone"
                                        name="phone"
                                        v-model="form.phone"
                                        class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm rounded-md"
                                        :class="{ 'bg-red-50 border-red-500 text-red-700': form.errors.phone, 'border-gray-300': !form.errors.phone}"
                                    >
                                    <div class="font-sm text-red-500 mt-2" v-if="form.errors.phone">{{ form.errors.phone }}</div>
                                </div>

                                <div class="col-span-6 sm:col-span-3">
                                    <label for="position" class="block text-sm font-medium"
                                    :class="{ 'text-gray-700': !form.errors.position, 'text-red-700': form.errors.position }">Position</label>
                                    <input
                                        type="text"
                                        id="position"
                                        name="position"
                                        v-model="form.position"
                                        class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm rounded-md"
                                        :class="{ 'bg-red-50 border-red-500 text-red-700': form.errors.position, 'border-gray-300': !form.errors.position}"
                                    >
                                    <div class="font-sm text-red-500 mt-2" v-if="form.errors.position">{{ form.errors.position }}</div>
                                </div>

                                <div class="col-span-6">
                                    <label for="account_id" class="block text-sm font-medium"
                                    :class="{ 'text-gray-700': !form.errors.account_id, 'text-red-700': form.errors.account_id }">Account</label>
                                    <select
                                        id="account_id"
                                        name = "account_id"
                                        v-model="form.account_id"
                                        class="mt-1 block w-full py-2 px-3 rounded-md shadow-sm focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm"
                                        :class="{ 'bg-red border border-red-300 text-red-700': form.errors.account_id, 'border border-gray-300 bg-white': !form.errors.account_id}"
                                    >
                                        <option value="">Select account</option>
                                        <option v-for="account in accounts" :key="account.id" :value="account.id">{{ account.name }}</option>
                                    </select>
                                    <div class="font-sm text-red-500 mt-2" v-if="form.errors.account_id">{{ form.errors.account_id }}</div>
                                </div>
                            </div>
                            <div class="flex justify-end mt-6">
                                <Link :href="route('contacts.index')" class="bg-white py-2 px-4 border border-gray-300 rounded-md shadow-sm text-sm font-medium text-gray-700 hover:bg-gray-50 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">Cancel</Link>
                                <button type="submit" class="ml-3 inline-flex justify-center py-2 px-4 border border-transparent shadow-sm text-sm font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">Create</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </BreezeAuthenticatedLayout>
</template>